import { Task } from '../types/task';
import { v4 as uuidv4 } from 'uuid';

export const MOCK_TASKS: Task[] = [
  {
    id: uuidv4(),
    name: '炉前缓存区到热处理上料交接区运输',
    status: 'IDLE',
    createdAt: new Date().toISOString(),
    parameters: {
      startLocation: '炉前缓存区',
      endLocation: '热处理上料交接区',
      robotAction: 'TRANSPORT',
      payload: '满料架-A1',
    },
  },
  {
    id: uuidv4(),
    name: '空料架到焊接空料架交接区运输',
    status: 'RUNNING',
    createdAt: new Date().toISOString(),
    parameters: {
      startLocation: '空料架缓存区',
      endLocation: '焊接空料架交接区',
      robotAction: 'TRANSPORT',
      payload: '空料架-B2',
    },
  },
  {
    id: uuidv4(),
    name: '热后空料架返回交接区',
    status: 'COMPLETED',
    createdAt: new Date().toISOString(),
    parameters: {
      startLocation: '热后区',
      endLocation: '空料架缓存区',
      robotAction: 'TRANSPORT',
      payload: '空料架-C3',
    },
  },
  {
    id: uuidv4(),
    name: 'ALD上料空车运输到空车区',
    status: 'IDLE',
    createdAt: new Date().toISOString(),
    parameters: {
      startLocation: 'ALD上料区',
      endLocation: '空车区',
      robotAction: 'TRANSPORT',
      payload: '空车',
    },
  },
];
